<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:11 CEST 2010 -->
<TITLE>
ACSMediator
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ACSMediator";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACSMediator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?aco/mediator/acs/ACSMediator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACSMediator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
aco.mediator.acs</FONT>
<BR>
Class ACSMediator</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../aco/mediator/ACOMediator.html" title="class in aco.mediator">aco.mediator.ACOMediator</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>aco.mediator.acs.ACSMediator</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>ACSMediator</B><DT>extends <A HREF="../../../aco/mediator/ACOMediator.html" title="class in aco.mediator">ACOMediator</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../aco/mediator/acs/ACSMediator.html#ACSMediator()">ACSMediator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../aco/mediator/acs/ACSMediator.html#ACSMediator(aco.parameter.acs.ACSParameter)">ACSMediator</A></B>(<A HREF="../../../aco/parameter/acs/ACSParameter.html" title="class in aco.parameter.acs">ACSParameter</A>&nbsp;acsp)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../aco/mediator/acs/ACSMediator.html#getQZero()">getQZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../aco/mediator/acs/ACSMediator.html#setQZero(double)">setQZero</A></B>(double&nbsp;QZero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_aco.mediator.ACOMediator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class aco.mediator.<A HREF="../../../aco/mediator/ACOMediator.html" title="class in aco.mediator">ACOMediator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../aco/mediator/ACOMediator.html#ACODecisionRule(aco.ant.Ant, int)">ACODecisionRule</A>, <A HREF="../../../aco/mediator/ACOMediator.html#addGlobalBestTour(java.lang.Integer, int[])">addGlobalBestTour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeChoiceInformation()">computeChoiceInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeDistances()">computeDistances</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeHeuristicInformation()">computeHeuristicInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeNearestNeighbourListDepth()">computeNearestNeighbourListDepth</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeTauZero()">computeTauZero</A>, <A HREF="../../../aco/mediator/ACOMediator.html#computeTourLength(aco.ant.Ant)">computeTourLength</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getACOGraph()">getACOGraph</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getACOParameter()">getACOParameter</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getACOStrategy()">getACOStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getBeta()">getBeta</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getChoiceInformation(int, int)">getChoiceInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getChoiceInformationStrategy()">getChoiceInformationStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getCoordinateData()">getCoordinateData</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getCoordinates(int)">getCoordinates</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getDistance(int, int)">getDistance</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getDistanceStrategy()">getDistanceStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getEnvironment()">getEnvironment</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTour()">getGlobalBestTour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTour(int)">getGlobalBestTour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTourIteration()">getGlobalBestTourIteration</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTourLength()">getGlobalBestTourLength</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTourMap()">getGlobalBestTourMap</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGlobalBestTourMapSize()">getGlobalBestTourMapSize</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getGraphStrategy()">getGraphStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getHeuristicInformation(int, int)">getHeuristicInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getHeuristicInformationStrategy()">getHeuristicInformationStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getInfinity()">getInfinity</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getMaxNumOfTours()">getMaxNumOfTours</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getNearestNeighbour(int, int)">getNearestNeighbour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getNearestNeighbourListDepth()">getNearestNeighbourListDepth</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getNumOfAnts()">getNumOfAnts</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getNumOfCities()">getNumOfCities</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getPheromone(int, int)">getPheromone</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getPheromoneStrategy()">getPheromoneStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getRoh()">getRoh</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getTauZero()">getTauZero</A>, <A HREF="../../../aco/mediator/ACOMediator.html#getTauZeroStrategy()">getTauZeroStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#nearestNeighbourHeuristicRandomStart()">nearestNeighbourHeuristicRandomStart</A>, <A HREF="../../../aco/mediator/ACOMediator.html#pheromoneUpdate(aco.ant.Ant[])">pheromoneUpdate</A>, <A HREF="../../../aco/mediator/ACOMediator.html#pickInitialRandomCity(aco.ant.Ant)">pickInitialRandomCity</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setACOGraph(aco.graph.ACOGraph)">setACOGraph</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setACOParameter(aco.parameter.ACOParameter)">setACOParameter</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setACOStrategy(aco.strategy.ACOStrategy)">setACOStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setBeta(double)">setBeta</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setChoiceInformation(int, int, double)">setChoiceInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)">setChoiceInformationStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setDistance(int, int, int)">setDistance</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setDistanceStrategy(aco.strategy.DistanceStrategy)">setDistanceStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setEnvironment(aco.environment.Environment)">setEnvironment</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGlobalBestTour(int[])">setGlobalBestTour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGlobalBestTour(int, int)">setGlobalBestTour</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGlobalBestTourIteration(int)">setGlobalBestTourIteration</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGlobalBestTourLength(int)">setGlobalBestTourLength</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGlobalBestTourMapSize(int)">setGlobalBestTourMapSize</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setGraphStrategy(aco.strategy.GraphStrategy)">setGraphStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setHeuristicInformation(int, int, double)">setHeuristicInformation</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)">setHeuristicInformationStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setInitialPheromones(double)">setInitialPheromones</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setMaxNumOfTours(int)">setMaxNumOfTours</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setNearestNeighbourListDepth(int)">setNearestNeighbourListDepth</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setNumOfAnts(int)">setNumOfAnts</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setNumOfCities(int)">setNumOfCities</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setPheromone(int, int, double)">setPheromone</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setPheromoneStrategy(aco.strategy.PheromoneStrategy)">setPheromoneStrategy</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setRoh(double)">setRoh</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setTauZero(double)">setTauZero</A>, <A HREF="../../../aco/mediator/ACOMediator.html#setTauZeroStrategy(aco.strategy.TauZeroStrategy)">setTauZeroStrategy</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ACSMediator()"><!-- --></A><H3>
ACSMediator</H3>
<PRE>
public <B>ACSMediator</B>()</PRE>
<DL>
</DL>
<HR>

<A NAME="ACSMediator(aco.parameter.acs.ACSParameter)"><!-- --></A><H3>
ACSMediator</H3>
<PRE>
public <B>ACSMediator</B>(<A HREF="../../../aco/parameter/acs/ACSParameter.html" title="class in aco.parameter.acs">ACSParameter</A>&nbsp;acsp)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getQZero()"><!-- --></A><H3>
getQZero</H3>
<PRE>
public double <B>getQZero</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setQZero(double)"><!-- --></A><H3>
setQZero</H3>
<PRE>
public void <B>setQZero</B>(double&nbsp;QZero)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACSMediator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?aco/mediator/acs/ACSMediator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACSMediator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
